<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0" xmlns:tei="http://www.tei-c.org/ns/1.0"
	version="2.0">
	<xsl:output encoding="UTF-8" indent="yes" method="html"/>
	<xsl:template match="/">
		<html>
			<head>
				<style>
					body{
					    font-family:Verdana, Geneva, sans-serif;
					    font-size:
					    10pt;
					}
					table{
					    font-family:Verdana, Geneva, sans-serif;
					    font-size:
					    10pt;
					    border-collapse:collapse;
					    padding:50px;
					    text-align:left;
					}
					h1{
					    font-family:Verdana, Geneva, sans-serif;
					    font-weight:bold;
					    font-size:18pt;
					    color:#000000;
					}
					h2
					{
					    font-family:Verdana, Geneva, sans-serif;
					    font-weight:bold;
					    font-size:14pt;
					    color:#000000;
					}
					h3{
					    font-family:Verdana, Geneva, 
					sans-serif;
					    font-size:12pt;
					    color:#808080;
					}
					td,
					th{
					    border:1px solid;
					    border-color:#FFFFFF;
					}</style>
			</head>

			<body>
				<div style="float: left; width: 20px; height: 100px; padding-left: 20px;">
					<img src="../../Ressourcen/Loewe.png" width="110" alt="Selfhtml"/>
				</div>
				<div style="margin-left: 120px; height: 100px; padding-left: 40px;">
					<h3>Staatsarchiv des Kantons Zürich</h3>
					<h4>Kantonsratsprotokolle seit 1803 online</h4>
					<h4>
						<a href="https://www.zh.ch/staatsarchiv"
							target="_blank">www.zh.ch/staatsarchiv</a>
					</h4>
				</div>
				<br/>
				<br/>
				<div>

					<table font-family="Verdana">
						<tr height="20px">
							<td background-color="#f0f0f0" width="100px">Signatur</td>
							<td background-color="#f0f0f0" width="1200px">

								<xsl:for-each select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:sourceDesc/tei:bibl">
									<xsl:value-of select="tei:ident"/>
								</xsl:for-each>

							</td>
						</tr>
						<tr height="20px">
							<td background-color="#f0f0f0" width="100px">Weblink</td>
							<td background-color="#f0f0f0" width="1200px">

								<xsl:for-each select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:sourceDesc/tei:bibl">
									<xsl:variable name="link">
									<xsl:value-of select="tei:ref/@target"/>
									</xsl:variable>
									<a href="{$link}" target="_blank">
									<xsl:value-of select="tei:ref/@target"/>
									</a>
								</xsl:for-each>

							</td>
						</tr>
						<tr height="20px">
							<td background-color="#f0f0f0" width="100px">Titel</td>
							<td background-color="#f0f0f0" width="1200px">

								<xsl:for-each select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:titleStmt">
									<xsl:value-of select="tei:title"/>
								</xsl:for-each>

							</td>
						</tr>
						<tr height="20px">
							<td background-color="#f0f0f0" width="100px">Datum</td>
							<td background-color="#f0f0f0" width="1200px" heigth="70px">

								<xsl:for-each select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:sourceDesc/tei:bibl">
									<xsl:value-of select="tei:date"/>
								</xsl:for-each>

							</td>
						</tr>
						<xsl:for-each select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:sourceDesc/tei:bibl/tei:listRelation/tei:relation">
						<tr height="20px">
							<td background-color="#f0f0f0" width="100px">
									<xsl:value-of select="@name"/>	
							</td>
							<td background-color="#f0f0f0" width="1200px" heigth="70px">
								<xsl:variable name="link">
									<xsl:value-of select="@passive"/>	
								</xsl:variable>
								<a href="{$link}" target="_blank">
									<xsl:value-of select="@passive"/>
								</a>
							</td>
						</tr>
						</xsl:for-each>
					</table>
				</div>
				<br/>
				<xsl:apply-templates select="tei:TEI/tei:text/tei:body"/>
				<br style="clear: both;"/>
				
			<footer>
				<font size="1" color="#808080">[Transkript erstellt am 
					<xsl:for-each
						select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:titleStmt/tei:respStmt/tei:resp">
						<xsl:value-of select="tei:date"/>
					</xsl:for-each>.]
						<br/><br/>
					<xsl:for-each
						select="tei:TEI/tei:teiHeader/tei:encodingDesc/tei:editorialDecl/tei:p">
						<xsl:variable name="link">
									<xsl:value-of select="tei:ref/@target"/>
									</xsl:variable>
									<a href="{$link}" target="_blank">
									<xsl:value-of select="tei:ref/@target"/>
									Transkriptionsrichtlinien</a>
						
		
					</xsl:for-each>
				</font>
			</footer>		
<!--			<xsl:for-each select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:sourceDesc/tei:bibl/tei:figure">
				<xsl:variable name="origbild">
					<xsl:value-of select="tei:graphic/@url"/>
				</xsl:variable>
				<embed src="{$origbild}" width="900px" height="600px" />
			</xsl:for-each>-->			
			</body>
		</html>
	</xsl:template>
	
<!--	<xsl:template match="tei:TEI/tei:text/tei:body/tei:p">
		<p style="font-family:Verdana">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	
	<xsl:template match="tei:TEI/tei:text/tei:body/tei:p[not(child::add)]">
		<p style="margin: 0; font-family:Verdana">
			<xsl:apply-templates/>
		</p>
	</xsl:template>-->
	<xsl:template match="tei:TEI/tei:text/tei:body/tei:p">
		<p style="float: left; width: 80%; font-family:Verdana">
			<xsl:apply-templates/>
		</p>
	</xsl:template>

	<xsl:template match="tei:p//*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="tei:p//tei:graphic">
			<img width="100%" height="auto">
				<xsl:attribute name="src">
					<xsl:value-of select="@url"/>
				</xsl:attribute>
			</img>
			<br/>
	</xsl:template>
	
	<xsl:template match="tei:p//tei:title">
		<span title="Titel">
			<font style="font-weight:bold; font-size:10pt">
				<xsl:apply-templates/>
			</font>
		</span>
	</xsl:template>
	
	<xsl:template match="tei:p//tei:add[@place]">
	
		<p style="float: right; width: 19%; font-family:Verdana; font-size:8pt">
				<xsl:apply-templates/>
			</p>
		
	</xsl:template>
	
	<xsl:template match="tei:p//tei:table">
		<table>
			<xsl:apply-templates/>
		</table>
	</xsl:template>
	
	<xsl:template match="tei:p//tei:row">
		<tr>
			<xsl:apply-templates/>
		</tr>
	</xsl:template>
	
	<xsl:template match="tei:p//tei:cell">
		<td>
			<xsl:apply-templates/>
		</td>
	</xsl:template>

	<xsl:template match="tei:p//tei:pb">
		<xsl:choose>
		<xsl:when test="tei:p//tei:pb/@n='up.'">
			<font style="font-family:Verdana" color="#808080">[<xsl:value-of select="@n"/>] </font>
		</xsl:when>
		<xsl:otherwise>	
			<font style="font-family:Verdana" color="#808080">[p. <xsl:value-of select="@n"/>] </font>
		</xsl:otherwise>
		</xsl:choose>		
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="tei:p//tei:forename">
		<span title="Vorname">
			<font color="FF0000">
				<xsl:apply-templates/>
			</font>
		</span>
	</xsl:template>

	<xsl:template match="tei:p//tei:surname">
		<span title="Nachname">
			<font color="990000">
				<xsl:apply-templates/>
			</font>
		</span>
	</xsl:template>

	<xsl:template match="tei:p//tei:placeName">
		<span title="Ort">
			<font color="006600">
				<xsl:apply-templates/>
			</font>
		</span>
	</xsl:template>


	<xsl:template match="tei:p//tei:orgName">
		<span title="Organisation">
			<font color="0000FF">
				<xsl:apply-templates/>
			</font>
		</span>
	</xsl:template>

	<xsl:template match="tei:p//tei:date">
		<span>
			<xsl:attribute name="title">
				<xsl:value-of select="@when"/>
			</xsl:attribute>

			<font color="FF6633">
				<xsl:apply-templates/>
			</font>
		</span>
	</xsl:template>

	<xsl:template match="text()"/>

	<xsl:template match="tei:p//text()">
		<xsl:copy-of select="."/>
	</xsl:template>

</xsl:stylesheet>
